# Public custom Alpine Linux repo
Template files and build system (public logs available) for https://static.itmodulo.eu/dl/repo/alpine

# Disclaimer
1. Don't use this repo if you don't know what you are doing. It may break your great Alpine Linux experience 
2. If you want to upstream, go ahead but don't engage me -> You maintain. Although You are allowed reference as working example without restrictions.
3. Builds here will be only **musl-aarch64** for now, altough I may consider other variants _if you donate me every month_
4. Maintained in mind with postmarketOS and Alpine latest-stable
5. I may rename/remove package without prior notification.

# Why
## To maintain own repo
Official repo is good quality however:
- It simply lacks some packages I need.
- I don't use flatpak for personal reason (mostly size of packages and sdks based mostly on ubuntu I don't really like)
- Instead flatpaks I would use AppImages that are not so easy to update in large quantity and don't work on Alpine as linked against glibc

## To use repo actions for builds
- It's easy to maintain
- Public build logs are more trustworthy (for potential other users)
- Clear and simple repo structure

# Builds
- Built on docker with actions on this repo
- Signed with private key
- Triggered on push to release branch
- Release branch always compile
- New packages tested on other branches

# LICENSE
Actions workflow file and template files are licensed under BSD-3-Clause-no-military

This should not impact the original source code licenses
